org.apache.mina.statemachine

## Class NoSuchStateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.mina.statemachine.NoSuchStateException

- All Implemented Interfaces:
    Serializable

      public class NoSuchStateException
      extends RuntimeException

  Exception thrown by `StateMachine` when a transition in the state machine references a state which doesn't exist.
  Author:
    Apache MINA Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoSuchStateException(String stateId)` Creates a new instance.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoSuchStateException

          public NoSuchStateException(String stateId)

      Creates a new instance.
      Parameters:
        `stateId` - the id of the state which could not be found.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.